<template>
  <div class="container content-grid content-grid--subpage">
    <Breadcrumbs :title="t('global.mesRoutesAide')" />
    <BackLinkTitle :title="t('routes.aide.name')" />

    <div>
      <div class="text-center">
        <div class="div-header">
          <h3>{{ t("global.etapes.etape1") }}</h3>
        </div>
        <img src="@/assets/images/Etape1.png" alt="etape1" class="step-image" />
      </div>
      <div class="text-center">
        <div class="div-header">
          <h3>{{ t("global.etapes.etape2") }}</h3>
        </div>
        <img src="@/assets/images/Etape2.png" alt="etape2" class="step-image" />
      </div>
      <div class="text-center">
        <div class="div-header">
          <h3>{{ t("global.etapes.etape3") }}</h3>
        </div>
        <img src="@/assets/images/Etape3.png" alt="etape3" class="step-image" />
      </div>
      <div class="text-center">
        <div class="div-header">
          <h3>{{ t("global.etapes.etape4") }}</h3>
        </div>
        <img src="@/assets/images/Etape4.png" alt="etape4" class="step-image" />
      </div>
      <div class="text-center">
        <div class="div-header">
          <h3>{{ t("global.etapes.etape5") }}</h3>
        </div>
        <img src="@/assets/images/Etape5.png" alt="etape5" class="step-image" />
      </div>
      <div class="text-center">
        <div class="div-header">
          <h3>{{ t("global.etapes.etape6") }}</h3>
        </div>
      </div>
    </div>

    <BackLinkTitle :title="t('global.retourImportation')" />
  </div>
</template>

<script setup lang="ts">
import BackLinkTitle from "@/components/layout/BackLinkTitle.vue";
import Breadcrumbs from "@/components/layout/Breadcrumbs.vue";
import { useI18n } from "vue3-i18n";

const { t } = useI18n();
</script>

<style scoped>
.container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 20px;
}

.text-center {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 30px;
}

.div-header {
  margin-bottom: 20px;
  padding: 10px;
  border: solid 1px #333;
  border-radius: 5px;
  font-size: 1.2em;
  width: 800px;
  text-align: center;
  color: #333;
  background-color: #abefaa;
}

.step-image {
  max-width: 100%;
  height: auto;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  border-radius: 5px;
}

@media (max-width: 768px) {
  .div-header {
    width: 100%;
  }

  .text-center {
    margin-bottom: 20px;
  }
}

@media (max-width: 480px) {
  .div-header {
    font-size: 1em;
  }

  .text-center {
    margin-bottom: 15px;
  }
}
</style>
